summaryrefslogtreecommitdiffstats
path: root/graphics/GraphicsMagick
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/GraphicsMagick')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild47
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.info8
-rw-r--r--graphics/GraphicsMagick/README8
3 files changed, 39 insertions, 24 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
index 97c5cbcc52..5271bbae51 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -8,6 +8,11 @@
# MIA. Original version had no license; I'm licensing the update under the
# terms of the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20240908 bkw: update for v1.3.45.
+# 20240822 bkw: update for v1.3.44.
+# 20231108 bkw: update for v1.3.42.
+# 20230710 bkw: update for v1.3.40.
+# 20230105 bkw: update for v1.3.39, using sourceforge link again.
# 20210910 bkw: update for v1.3.36.
# 20201019 bkw: update for v1.3.35.
# 20200111 bkw: update for v1.3.34, quit using sourceforge dl link.
@@ -45,8 +50,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=GraphicsMagick
-VERSION=${VERSION:-1.3.36}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.3.45}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -83,6 +88,7 @@ fi
set -e
+DELAY="${DELAY:-5}"
OLDVER="$(pkg-config --silence-errors --modversion $PRGNAM || true)"
if [ "$OLDVER" != "" ]; then
cat <<EOF 1>&2
@@ -90,13 +96,18 @@ if [ "$OLDVER" != "" ]; then
*
* $PRGNAM is already installed (version $OLDVER).
*
-* If the build fails, 'removepkg $PRGNAM' and try again.
+* Press Ctrl-C to abort now, or wait $DELAY seconds for the build to start.
+* If it fails, run:
+*
+* # removepkg $PRGNAM
+*
+* ...and try again.
*
* Don't say I didn't warn you.
*
************************************************************************
EOF
- sleep 3
+ sleep $DELAY
fi
@@ -107,8 +118,8 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
- \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
# libfpx isn't autodetected, so let's help it a bit:
if [ -e /usr/include/fpxlib.h ]; then
@@ -228,26 +239,26 @@ if [ "${TCL:-yes}" = "yes" ]; then
WITHTCL=WITH
cd -
- rename .la_renamed .la $PKG/usr/lib$LIBDIRSUFFIX/*.la_renamed
fi
### Done with tcl module
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+gzip -9 $PKG/usr/man/man*/*
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+rm -f $PKG/usr/lib*/*.la* $PKG/usr/lib*/Tcl*/*.la
+
+find $PKG/usr/lib* $PKG/usr/bin -type f -print0 | \
+ xargs -0 file -m /etc/file/magic/elf | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
find $PKG -name perllocal.pod \
-o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog *.txt $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+ -o -name "*.bs" | \
+ xargs rm -rf || true
-rm -f $PKG/usr/lib*/*.la
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a ChangeLog *.txt $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
sed \
diff --git a/graphics/GraphicsMagick/GraphicsMagick.info b/graphics/GraphicsMagick/GraphicsMagick.info
index 76f1603523..6fae76fbcd 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.info
+++ b/graphics/GraphicsMagick/GraphicsMagick.info
@@ -1,8 +1,8 @@
PRGNAM="GraphicsMagick"
-VERSION="1.3.36"
-HOMEPAGE="http://www.graphicsmagick.org/"
-DOWNLOAD="https://ftp.icm.edu.pl/pub/unix/graphics/GraphicsMagick/1.3/GraphicsMagick-1.3.36.tar.xz"
-MD5SUM="3e936b42fd46fb460016f91c1a239e33"
+VERSION="1.3.45"
+HOMEPAGE="https://graphicsmagick.sourceforge.io/index.html"
+DOWNLOAD="https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.45/GraphicsMagick-1.3.45.tar.xz"
+MD5SUM="5eb76e9af7b887a8828fce11aa1e2f1c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/GraphicsMagick/README b/graphics/GraphicsMagick/README
index 6d8b001534..234779f449 100644
--- a/graphics/GraphicsMagick/README
+++ b/graphics/GraphicsMagick/README
@@ -8,8 +8,9 @@ JPEG-2000, PNG, PDF, PNM, and TIFF.
If you have an older version of GraphicsMagick installed, it's a good
idea to 'removepkg GraphicsMagick' before building the new version. If
-you don't do this, the build might work anyway... Upgrading from 1.3.29
-to 1.3.30 has been tested and seems to work, but I make no guarantees.
+you don't do this, the build might work anyway... Upgrading from
+1.3.29 to 1.3.30 and 1.3.44 to 1.3.45 has been tested and seems to
+work, but I make no guarantees.
This build includes PerlMagick (the Perl language bindings for
GraphicsMagick) and TclMagick (Tcl bindings). If you really need to,
@@ -29,3 +30,6 @@ dcraw (Raw camera files, various filename extensions)
hp2xx (HP-GL plotter language, .hp and .hpg)
ralcgm (Computer Graphics Metafile, .cgm)
libfpx (FlashPix, .fpx)
+graphviz (.dot digraph files)
+libjxl (.jxl, JPEG XL)
+libheif and libde265 (.heif .heifs .heic .heics .avci .avcs .avif .hif)